=== tests/manual/CMakeLists.txt ===
if(TARGET Qt::Bluetooth)
    add_subdirectory(qlowenergycontroller)
endif()
