=== tests/auto/qndeffilter/CMakeLists.txt ===
qt_internal_add_test(tst_qndeffilter
    SOURCES
        tst_qndeffilter.cpp
    PUBLIC_LIBRARIES
        Qt::Nfc
)
