=== tests/auto/qndefnfcsmartposterrecord/CMakeLists.txt ===
#####################################################################
## tst_qndefnfcsmartposterrecord Test:
#####################################################################

qt_internal_add_test(tst_qndefnfcsmartposterrecord
    SOURCES
        tst_qndefnfcsmartposterrecord.cpp
    PUBLIC_LIBRARIES
        Qt::Nfc
)
