=== debian/changelog ===
qt6-connectivity (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 22:00:04 +0200

qt6-connectivity (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:35:59 +0100

qt6-connectivity (6.2.2-1) experimental; urgency=medium

  [ Lu YaNing ]
  * Update descriptions.
  * Update symbols.

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 03 Dec 2021 16:55:23 +0100

qt6-connectivity (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #999633)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 22:58:10 +0100
