=== config.tests/winrt_bt/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(config_test_winrt LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})
@@ -20,5 +27,5 @@
     main.cpp
 )
 target_link_libraries(${PROJECT_NAME} PUBLIC
-    runtimeobject.lib
+    runtimeobject
 )
