=== debian/changelog ===
qt6-connectivity (6.4.2-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:47:01 +1100

qt6-connectivity (6.4.2-5build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:58:37 +0000

qt6-connectivity (6.4.2-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Change the architecture of qt6-connectivity-examples to linux-any, as this
    module is specific for Linux.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Oct 2023 20:22:01 +0200

qt6-connectivity (6.4.2-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:27:59 -0300

qt6-connectivity (6.4.2-3) experimental; urgency=medium

  * Team upload to experimental.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042273).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 17:21:31 -0300

qt6-connectivity (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1033647).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jun 2023 00:38:39 +0200

qt6-connectivity (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sun, 22 Jan 2023 11:20:28 +0100

qt6-connectivity (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:12 +0100

qt6-connectivity (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2. No changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:18 +0100
