=== tests/auto/qndefnfcsmartposterrecord/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qndefnfcsmartposterrecord Test:
#####################################################################

qt_internal_add_test(tst_qndefnfcsmartposterrecord
    SOURCES
        tst_qndefnfcsmartposterrecord.cpp
    LIBRARIES
        Qt::Nfc
)
